Eng-Tips is the largest engineering community on the Internet

Intelligent Work Forums for Engineering Professionals

Need help implementing a 3D Rotation Matrix using NXOpen

Status
Not open for further replies.

junfanbl

Marine/Ocean
Jun 10, 2015
90
0
0
US
Hey Everyone,

I have been trying to programmatically rotate a model 360 degrees a long the Z axis. I don't want any rotation a long the X or Y axis though. The thing is I need to do it in increments, small increments until the rotation is complete. From what I understand in order to rotate the model you have to use a rotation matrix system to do it. I am not entirely familiar with a 3D rotation matrix. Is there anybody who understand how to implement the correct code through a rotation matrix using NXOpen and VB.NET? Specifically to do a full 360 rotation a long the Z axis? Any help is appreciated. Thank you.
 
Replies continue below

Recommended for you

Hi,

You can use the below format to find a rotation along an axis check image.

Rotation_tzahmx.png


So, example if you want to rotate along Z axis 30 degrees the below will be your rotation matrix.

Dim rotation1 As NXOpen.Matrix3x3 = Nothing
rotation1.Xx = 0.86602540378443882
rotation1.Xy = -0.49999999999999967
rotation1.Xz = 0.0
rotation1.Yx = 0.49999999999999967
rotation1.Yy = 0.86602540378443882
rotation1.Yz = 0.0
rotation1.Zx = 0.0
rotation1.Zy = 0.0
rotation1.Zz = 1.0

Let me know if you need more information

Regards,
Mukundh
 
Status
Not open for further replies.
Back
Top